from flush_compiler_caches import flush_all
from generate_bootstrap import bootstrap
import subprocess
import sys

flush_all()

bootstrap()

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="state")

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="kernel")

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="interface/HUTN")

subprocess.check_call([sys.executable, "-m", "pytest", "unit", "-x", "-v", "-s"])
